import { httpPostRequest, APIUrlGenerator } from "@/utils/baseHttpService";
import { API_ROUTES } from "@/constant/routes";
import {
  ShipmentsByMethodFilters,
  ShipmentsByMethodResponse,
} from "./_models";

export const getShipmentsByMethodReport = async (
  filters: ShipmentsByMethodFilters
): Promise<ShipmentsByMethodResponse> => {
  const response = await httpPostRequest<ShipmentsByMethodResponse>(
    APIUrlGenerator(API_ROUTES.SHIPMENTS_BY_METHOD_REPORT),
    filters
  );
  return response.data;
};

